> ## Documentation Index
> Fetch the complete documentation index at: https://docs.x.com/llms.txt
> Use this file to discover all available pages before exploring further.

# X API 개요

> 게시물, 사용자, Spaces, Direct Message, 리스트, 트렌드, 미디어, 컴플라이언스, 스트리밍 및 웹훅 엔드포인트를 다루는 X API v2 전체 레퍼런스입니다.

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

X API는 X의 공개 대화에 프로그래밍 방식으로 액세스할 수 있게 해줍니다. 아래의 모든 엔드포인트는 [사용량 기반](/x-api/introduction) 요금제에서 사용할 수 있습니다. Enterprise 전용으로 표시된 엔드포인트는 [Enterprise](/enterprise-api/introduction) 요금제가 필요합니다.

***

## 엔드포인트

<CardGroup cols={3}>
  <Card title="Posts" icon="message" href="/x-api/posts/lookup/introduction">
    게시물을 검색, 검색 및 게시합니다. 타임라인, 스레드 및 인용 게시물에 액세스하세요.
  </Card>

  <Card title="Users" icon="user" href="/x-api/users/lookup/introduction">
    프로필을 조회하고 팔로우, 차단 및 뮤트를 관리하세요.
  </Card>

  <Card title="Direct Messages" icon="envelope" href="/x-api/direct-messages/lookup/introduction">
    개인 메시지를 보내고 받습니다.
  </Card>

  <Card title="Spaces" icon="microphone" href="/x-api/spaces/lookup/introduction">
    라이브 오디오 대화 및 참가자를 찾습니다.
  </Card>

  <Card title="Lists" icon="list" href="/x-api/lists/list-lookup/introduction">
    큐레이션된 계정 리스트를 생성하고 관리합니다.
  </Card>

  <Card title="Likes" icon="heart" href="/x-api/posts/likes/introduction">
    게시물에 좋아요를 누르거나 취소합니다. 누가 게시물에 좋아요를 눌렀는지 조회합니다.
  </Card>

  <Card title="Trends" icon="arrow-trend-up" href="/x-api/trends/trends-by-woeid/introduction">
    위치별 트렌딩 토픽과 개인화된 트렌드.
  </Card>

  <Card title="Media" icon="image" href="/x-api/media/introduction">
    이미지, 비디오, GIF를 업로드합니다. 자막 및 메타데이터를 관리합니다.
  </Card>

  <Card title="Communities" icon="users" href="/x-api/communities/lookup/introduction">
    커뮤니티를 조회 및 검색합니다.
  </Card>

  <Card title="Community Notes" icon="note-sticky" href="/x-api/community-notes/introduction">
    커뮤니티 노트를 생성, 평가 및 검색합니다.
  </Card>

  <Card title="News" icon="newspaper" href="/x-api/news/introduction">
    뉴스 기사를 검색하고 조회합니다.
  </Card>

  <Card title="Compliance" icon="shield-check" href="/x-api/compliance/batch-compliance/introduction">
    배치 컴플라이언스 작업 및 컴플라이언스 스트림.
  </Card>
</CardGroup>

***

## 스트리밍 및 실시간

<CardGroup cols={3}>
  <Card title="Filtered Stream" icon="filter" href="/x-api/posts/filtered-stream/introduction">
    필터 규칙과 일치하는 게시물을 실시간으로 받아보세요.
  </Card>

  <Card title="X Activity" icon="bolt" href="/x-api/activity/introduction">
    팔로우, 좋아요, 프로필 업데이트와 같은 실시간 활동 이벤트를 구독하세요.
  </Card>

  <Card title="Webhooks" icon="webhook" href="/x-api/webhooks/introduction">
    HTTP 콜백을 통해 이벤트 데이터를 받으세요.
  </Card>
</CardGroup>

***

## Enterprise 전용

이러한 엔드포인트에는 [Enterprise 요금제](/enterprise-api/introduction)가 필요합니다.

<CardGroup cols={3}>
  <Card title="Volume Streams" icon="satellite-dish" href="/x-api/posts/volume-streams/introduction">
    전체 firehose 및 언어별 스트림.
  </Card>

  <Card title="Likes Streams" icon="heart" href="/x-api/stream/likes-streams-introduction">
    모든 좋아요 또는 샘플링된 좋아요를 실시간으로 스트리밍합니다.
  </Card>

  <Card title="Powerstream" icon="bolt" href="/x-api/powerstream/introduction">
    고급 연산자를 지원하는 고성능 필터링 스트리밍.
  </Card>

  <Card title="Analytics" icon="chart-bar" href="/x-api/posts/get-post-analytics">
    대규모 게시물 및 미디어 참여 지표.
  </Card>

  <Card title="Account Activity" icon="bell" href="/x-api/account-activity/introduction">
    실시간 사용자 이벤트 구독.
  </Card>

  <Card title="Stream Webhooks" icon="webhook" href="/x-api/webhooks/stream/introduction">
    웹훅을 통한 filtered stream 전달.
  </Card>
</CardGroup>

***

## 빠른 시작

```bash theme={null}
curl "https://api.x.com/2/users/by/username/xdevelopers" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

<CardGroup cols={2}>
  <Card title="첫 요청 만들기" icon="rocket" href="/x-api/getting-started/make-your-first-request">
    자격 증명을 받고 몇 분 안에 API를 호출하세요.
  </Card>

  <Card title="SDK" icon="cube" href="/tools-and-libraries">
    공식 Python 및 TypeScript 라이브러리.
  </Card>
</CardGroup>
